<?php

namespace Lc\SovBundle\Factory\Reminder;

use Lc\SovBundle\Container\Reminder\ReminderContainer;
use Lc\SovBundle\Factory\AbstractFactory;
use Lc\SovBundle\Model\Reminder\ReminderInterface;

class ReminderFactory extends AbstractFactory implements ReminderFactoryInterface
{
    public function create(
            string $crudAction = null,
            string $crudControllerFqcn = null,
            int $entityId = null
    ): ReminderInterface {
        $class = ReminderContainer::getEntityFqcn();
        $reminder = new $class;
        $reminder->setCrudAction($crudAction);
        $reminder->setCrudControllerFqcn($crudControllerFqcn);
        $reminder->setEntityId($entityId);

        return $reminder;
    }

}
